Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.sci
Interface SciMemberDefinition

public interface SciMemberDefinition
extends SciObject

Methods for accessing a member's definition in C++ language.

For example, in the following C++ code framgent:

     class myInt
     {
      public:
        myInt();
     };
     ...
     myInt::myInt()
     {
      // the body
     }

the method `members()` for the `SciClass` representing class `myInt`, will return an enumeration of `SciMember`s consisting of `SciMember` for `myInt` constructor only. `getDefinition()` method applied to this constructor will return `SciMemberDefinition` object corresponding to the final four lines of source code example. It can be handled later like any `SciElement`.

Author:
  TogetherSoft
See Also: SciMember.getDefinition()

Method Summary
`SciMember` | `getMember()` Returns corresponding `SciMember` for this definition.
`SciTagList` | `getTagList()` Returns `SciTagList` object containing all `SciTag`s for this definition.

Methods inherited from interface com.togethersoft.openapi.sci.SciObject
`canCut, canDelete, canReplace, copy, cut, delete, getContainingFile, getContainingScope, getLanguage, getPositions, getText, getUserProperty, isReadOnly, replace, setUserProperty`

Method Detail

### getMember

    public SciMember getMember()

  Returns corresponding `SciMember` for this definition. Can return `null` if source code doesn't contain a member corresponding to this definition.
  Returns: corresponding `SciMember` for this definition

### getTagList

    public SciTagList getTagList()

  Returns `SciTagList` object containing all `SciTag`s for this definition.
  Returns: `SciTagList` object containing all `SciTag`s for this definition

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD